#!/bin/sh
################################################################################
#                                                                              #
# Polish Koders Team 2016                                                      #
#                                                                              #
# contact: http://pkteam.pl/                                                   #
#                                                                              #
################################################################################

box=`cat /etc/boxmodel`
kernel=`uname -r`

#-------------------------------------------------------------------------------
#script section
#-------------------------------------------------------------------------------

oryg()
{
 if [ $box == xpeedlx3 ] && [ ! -e /lib/modules/$kernel/extra/dvb_$box.ko_oryg ]; then
  cp /lib/modules/$kernel/extra/dvb.ko /lib/modules/$kernel/extra/dvb_$box.ko_oryg
 elif [ $box == xpeedlx ] && [ ! -e /lib/modules/$kernel/extra/dvb.ko_oryg ]; then
  cp /lib/modules/$kernel/extra/dvb.ko /lib/modules/$kernel/extra/dvb.ko_oryg
 elif [ $box == 8x00 ] && [ ! -e /lib/modules/$kernel/extra/dvb_atemionemesis.ko_oryg ]; then
  cp /lib/modules/$kernel/extra/dvb.ko /lib/modules/$kernel/extra/dvb_atemionemesis.ko_oryg
 elif [ $box == ultra ] && [ ! -e /lib/modules/$kernel/extra/dvb_mbultra.ko_oryg ]; then
  cp /lib/modules/$kernel/extra/dvb.ko /lib/modules/$kernel/extra/dvb_mbultra.ko_oryg
 fi

 if [ $box == xpeedlx3 ]; then
  cp -f /lib/modules/$kernel/extra/dvb_$box.ko_oryg /lib/modules/$kernel/extra/dvb.ko
 elif [ $box == xpeedlx ]; then
  cp -f /lib/modules/$kernel/extra/dvb.ko_oryg /lib/modules/$kernel/extra/dvb.ko
 elif [ $box == 8x00 ]; then
  cp -f /lib/modules/$kernel/extra/dvb_atemionemesis.ko_oryg /lib/modules/$kernel/extra/dvb.ko
 elif [ $box == ultra ]; then
  cp -f /lib/modules/$kernel/extra/dvb_mbultra.ko_oryg /lib/modules/$kernel/extra/dvb.ko
 fi

 echo "_(In 5 sec STB will be restarted)"
 sync
 sleep 5
 reboot
} 

old()
{
 if [ $box == xpeedlx3 ] && [ ! -e /lib/modules/$kernel/extra/dvb_$box.ko_oryg ]; then
  cp /lib/modules/$kernel/extra/dvb.ko /lib/modules/$kernel/extra/dvb_$box.ko_oryg
 elif [ $box == xpeedlx ] && [ ! -e /lib/modules/$kernel/extra/dvb.ko_oryg ]; then
  cp /lib/modules/$kernel/extra/dvb.ko /lib/modules/$kernel/extra/dvb.ko_oryg
 elif [ $box == 8x00 ] && [ ! -e /lib/modules/$kernel/extra/dvb_atemionemesis_oryg ]; then
  cp /lib/modules/$kernel/extra/dvb.ko /lib/modules/$kernel/extra/dvb_atemionemesis.ko_oryg
 elif [ $box == ultra ] && [ ! -e /lib/modules/$kernel/extra/dvb_mbultra.ko_oryg ]; then
  cp /lib/modules/$kernel/extra/dvb.ko /lib/modules/$kernel/extra/dvb_mbultra.ko_oryg
 fi

 if [ $box == xpeedlx3 ]; then
  cp -f /lib/modules/$kernel/extra/dvb_$box.ko_old /lib/modules/$kernel/extra/dvb.ko
 elif [ $box == xpeedlx ]; then
  cp -f /lib/modules/$kernel/extra/dvb.ko_old /lib/modules/$kernel/extra/dvb.ko
 elif [ $box == 8x00 ]; then
  cp -f /lib/modules/$kernel/extra/dvb_atemionemesis.ko_old /lib/modules/$kernel/extra/dvb.ko
 elif [ $box == ultra ]; then
  cp -f /lib/modules/$kernel/extra/dvb_mbultra.ko_old /lib/modules/$kernel/extra/dvb.ko
 fi

 echo "_(In 5 sec STB will be restarted)"
 sync
 sleep 5
 reboot
}


#-------------------------------------------------------------------------------
#use section
#-------------------------------------------------------------------------------

if [ $box == xpeedlx ] || [ $box == xpeedlx3 ] || [ $box == 8x00 ] || [ $box == ultra ]; then
 case "$1" in
  'oryg')
     oryg
     ;;
  'old')
     old
     ;;
  *)
     echo -e "\nUse: fw.sh oryg|old"
     ;;
 esac
else
 echo "STB unsupported!"
fi

echo ""
exit 0
